%define name 	pymol
%define version 0.97
%define release 1mdk 

%define pyver	2.3

Summary: 	PyMOL Molecular Graphics System
Name: 		%name
Version: 	%version
Release: 	%release
License: 	Python
Group: 		Sciences/Chemistry
URL: 		http://www.pymol.org
Source0: 	%name-0_97-src.tar.bz2
#Patch:		%name-0.90-setup.patch.bz2
BuildRoot: 	%_tmppath/%name-root
Requires: 	python python-numeric tcl tk tkinter Pmw tcsh
BuildRequires: 	python-devel python-numeric-devel tcl tk
BuildRequires:	png-devel MesaGLU-devel libMesaglut-devel

%description
PyMOL is a molecular graphics system with an embedded Python interpreter 
designed for real-time visualization and rapid generation of high-quality 
molecular graphics images and animations. It is fully extensible and 
available free to everyone via the "Python" license. Although a newcomer 
to the field, PyMOL can already be used to generate stunning images and 
animations with unprecedented ease. It can also perform many other 
valuable tasks (such as editing PDB files) to assist you in your research.

%prep
%setup -q
#%patch

%install
python setup.py install --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
echo '#!/bin/sh' > $RPM_BUILD_ROOT/%_bindir/pymol
echo '%{_bindir}/python %{_libdir}/python%{pyver}/site-packages/pymol/__init__.py $*' > $RPM_BUILD_ROOT/%_bindir/pymol
chmod 755 $RPM_BUILD_ROOT/%_bindir/pymol

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="pymol"\
needs="x11"\
section="More Applications/Sciences/Chemistry"\
title="PyMol"\
icon="chemistry_section.png"\
longtitle="Python controlled molecular graphics"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr (-,root,root)
%doc CHANGES DEVELOPERS LICENSE README
%_libdir/python*/site-packages/*
%_bindir/%name
%_menudir/%name

%changelog
* Thu Sep 30 2004 Austin Acton <austin@mandrake.org> 0.97-1mdk
- 0.97
- new menu

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.93-1mdk
- 0.93
- fix buildrequires

* Wed Oct 15 2003 Austin Acton <aacton@yorku.ca> 0.90-1mdk
- 0.90

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.82-2mdk
- rebuild

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.82-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial build
